Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSJDBCStoreMBean

public interface JMSJDBCStoreMBean
extends JMSStoreMBean

This MBean represents a JMS JDBC-based persistent store.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSStoreMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`JDBCConnectionPoolMBean` | `getConnectionPool()` Get the JDBC Connection Pool for this persistent store.
`java.lang.String` | `getPrefixName()` Get the prefix name of the JMS tables in this JDBC persistent store.
`void` | `setConnectionPool(JDBCConnectionPoolMBean connectionPool)` Set the JDBC Connection Pool for this persistent store.
`void` | `setPrefixName(java.lang.String name)` Set the prefix name of the JMS tables in this JDBC persistent store.

Methods inherited from interface weblogic.management.configuration.JMSStoreMBean
`getJMSServer`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getConnectionPool

    public JDBCConnectionPoolMBean getConnectionPool()

  Get the JDBC Connection Pool for this persistent store.

  This attribute is not dynamically configurable.

  Old Property: weblogic.jms.connectionPool

### setConnectionPool

    public void setConnectionPool(JDBCConnectionPoolMBean connectionPool)
                           throws javax.management.InvalidAttributeValueException

  Set the JDBC Connection Pool for this persistent store.

  This attribute is not dynamically configurable.

### getPrefixName

    public java.lang.String getPrefixName()

  Get the prefix name of the JMS tables in this JDBC persistent store.

  This prefix is prepended to table names when:

  - The database management system requires fully qualified names.

  - You must differentiate between JMS tables for two WebLogic Servers, thereby enabling multiple tables to be stored on a single DBMS.

  The prefix should be specified using the following format and will result in a valid table name when prepended to the JMS table name:

  `[schema.[catalog.]]prefix`

  Old Property: weblogic.jms.tableNamePrefix

### setPrefixName

    public void setPrefixName(java.lang.String name)
                       throws javax.management.InvalidAttributeValueException

  Set the prefix name of the JMS tables in this JDBC persistent store.

  This prefix is prepended to table names when:

  - The database management system requires fully qualified names.

  - You must differentiate between JMS tables for two WebLogic Servers, thereby enabling multiple tables to be stored on a single DBMS.

  The prefix should be specified using the following format and will result in a valid table name when prepended to the JMS table name:

  `[schema.[catalog.]]prefix`

  Default Value: null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference